compact1, compact2, compact3
java.nio.channels

## Class IllegalBlockingModeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - java.nio.channels.IllegalBlockingModeException

All Implemented Interfaces:
  Serializable

    public class IllegalBlockingModeException
    extends IllegalStateException

Unchecked exception thrown when a blocking-mode-specific operation is invoked upon a channel in the incorrect blocking mode.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IllegalBlockingModeException()` Constructs an instance of this class.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IllegalBlockingModeException

    public IllegalBlockingModeException()

Constructs an instance of this class.